package optimisticlockwithremove.dmo.impl;

import javax.jdo.annotations.Index;
import javax.persistence.Access;
import javax.persistence.AccessType;
import javax.persistence.Basic;
import javax.persistence.Entity;

import optimisticlockwithremove.dmo.FormalNotation;

@Entity
@Index (members = "scopeID")
@Access (AccessType.FIELD)
public abstract class FormalNotationImpl extends DescribableElementImpl implements FormalNotation {

    @Basic
    private String scopeID;

    public FormalNotationImpl(String name, String scopeId) {
        this.scopeID = scopeId;
        setName(name);
        setDescription("");
    }

    protected FormalNotationImpl() {
    }

    @Override
    public String getScopeId() {
        return scopeID;
    }

    public void setScopeID(String scopeID) {
        this.scopeID = scopeID;
    }

}