package com.btc.ep.base.bl.impl;

import java.util.UUID;

public class TCStepImpl {

	private String uid;

	private long stepNumber;

	private long stepDuration;

	private String vectorID;

	public TCStepImpl(String vectorID, long stepNumber) {
		this.vectorID = vectorID;
		this.stepNumber = stepNumber;
		this.stepDuration = 1;
		this.uid = UUID.randomUUID().toString().toUpperCase();
	}

	public long getStepNumber() {
		return stepNumber;
	}

	public void setStepNumber(long stepNumber) {
		this.stepNumber = stepNumber;
	}

	public long getStepDuration() {
		return stepDuration;
	}

	public void setStepDuration(long stepDuration) {
		this.stepDuration = stepDuration;
	}

	public String getVectorID() {
		return vectorID;
	}

	public void setVectorID(String vectorID) {
		this.vectorID = vectorID;
	}

	public int hashCode() {
		if (uid == null) {
			return super.hashCode();
		}

		return uid.hashCode();
	}

	public boolean equals(Object obj) {
		if (obj instanceof TCStepImpl && this.getUid() != null) {
			return this.getUid().equals(((TCStepImpl) obj).getUid());
		}

		return super.equals(obj);
	}

	public String getUid() {
		return this.uid;
	}

}
