package com.btc.ep.dal.persist;

import java.util.List;

public abstract class PersistenceService2 {

	public abstract void close();
	
	public abstract void open();

	public abstract <T> void persist(T obj);

	public abstract void commit();

	public abstract <T> void remove(T obj);

	public abstract <T> T getModelElementByQuery(String query, Class<T> clazz, Object... args);
	
	public abstract <T> List<T> getModelElementsByQuery(String query, Class<T> clazz, Object... args);
	
	public abstract <T> T find(Class<T> clazz, String uid);

	public abstract void updateQuery(String query, Object... args);

	public abstract void detach(Object o);
}
