package optimisticlockwithremove.dmo;

import java.util.Set;

public interface Scope extends NamedElement {

    public Architecture getArchitecture();

    public Set<InterfaceObject> getInputs();

    public Set<InterfaceObject> getOutputs();

    public Set<InterfaceObject> getLocals();

    public Set<InterfaceObject> getParameters();

    public Set<InterfaceObject> getAllInterfaceObjects();

    public String getPath();
}